package de.avatic.lcc.model.db.materials;

import com.fasterxml.jackson.annotation.JsonProperty;
import de.avatic.lcc.dto.generic.DimensionDTO;

public class MaterialPackaging {

    private Integer id;

    private MaterialSupplier supplier;

    @JsonProperty("handling_unit")
    private DimensionDTO hu;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public MaterialSupplier getSupplier() {
        return supplier;
    }

    public void setSupplier(MaterialSupplier supplier) {
        this.supplier = supplier;
    }

    public DimensionDTO getHu() {
        return hu;
    }

    public void setHu(DimensionDTO hu) {
        this.hu = hu;
    }
}
